<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>ConstraintsUtil</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.util</a></div>
<h2 title="Class ConstraintsUtil" class="title">Class ConstraintsUtil</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>ConstraintsUtil</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">ConstraintsUtil</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addNewDeadlineRequirement(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.app4mc.amalthea.model.AbstractProcess,org.eclipse.app4mc.amalthea.model.Time)">addNewDeadlineRequirement</a></span>&#8203;(@NonNull ConstraintsModel&nbsp;container,
                         @NonNull AbstractProcess&nbsp;process,
                         @NonNull Time&nbsp;deadline)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addNewDeadlineRequirement(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.Time)">addNewDeadlineRequirement</a></span>&#8203;(@NonNull ConstraintsModel&nbsp;container,
                         @NonNull Runnable&nbsp;runnable,
                         @NonNull Time&nbsp;deadline)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static List&lt;AbstractEventChain&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAllAbstractEventChains(org.eclipse.app4mc.amalthea.model.ConstraintsModel)">getAllAbstractEventChains</a></span>&#8203;(@NonNull ConstraintsModel&nbsp;constModel)</code></th>
<td class="colLast">
<div class="block">Retrieve all abstract event chains from the constraints model.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static @Nullable Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDeadline(org.eclipse.app4mc.amalthea.model.AbstractProcess)">getDeadline</a></span>&#8203;(@NonNull AbstractProcess&nbsp;process)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static @Nullable Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDeadline(org.eclipse.app4mc.amalthea.model.AbstractProcess,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">getDeadline</a></span>&#8203;(@NonNull AbstractProcess&nbsp;process,
           @NonNull ConstraintsModel&nbsp;constModel)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static @Nullable Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDeadline(org.eclipse.app4mc.amalthea.model.Runnable)">getDeadline</a></span>&#8203;(@NonNull Runnable&nbsp;runnable)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static @Nullable Time</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDeadline(org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">getDeadline</a></span>&#8203;(@NonNull Runnable&nbsp;runnable,
           @NonNull ConstraintsModel&nbsp;constModel)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static List&lt;ProcessRequirement&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDeadlineRequirements(org.eclipse.app4mc.amalthea.model.AbstractProcess,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">getDeadlineRequirements</a></span>&#8203;(@NonNull AbstractProcess&nbsp;process,
                       @NonNull ConstraintsModel&nbsp;constModel)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static List&lt;RunnableRequirement&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDeadlineRequirements(org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">getDeadlineRequirements</a></span>&#8203;(@NonNull Runnable&nbsp;runnable,
                       @NonNull ConstraintsModel&nbsp;constModel)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateDeadlineRequirement(org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.Time)">updateDeadlineRequirement</a></span>&#8203;(@NonNull Runnable&nbsp;runnable,
                         @NonNull Time&nbsp;deadline)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateDeadlineRequirement(org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">updateDeadlineRequirement</a></span>&#8203;(@NonNull Runnable&nbsp;runnable,
                         @NonNull Time&nbsp;deadline,
                         @NonNull ConstraintsModel&nbsp;constModel)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateDeadlineRequirement(org.eclipse.app4mc.amalthea.model.Task,org.eclipse.app4mc.amalthea.model.Time)">updateDeadlineRequirement</a></span>&#8203;(@NonNull Task&nbsp;task,
                         @NonNull Time&nbsp;deadline)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateDeadlineRequirement(org.eclipse.app4mc.amalthea.model.Task,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">updateDeadlineRequirement</a></span>&#8203;(@NonNull Task&nbsp;task,
                         @NonNull Time&nbsp;deadline,
                         @NonNull ConstraintsModel&nbsp;constModel)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getDeadline(org.eclipse.app4mc.amalthea.model.AbstractProcess)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeadline</h4>
<pre class="methodSignature">public static&nbsp;@Nullable Time&nbsp;getDeadline&#8203;(@NonNull AbstractProcess&nbsp;process)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>process</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getDeadline(org.eclipse.app4mc.amalthea.model.AbstractProcess,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeadline</h4>
<pre class="methodSignature">public static&nbsp;@Nullable Time&nbsp;getDeadline&#8203;(@NonNull AbstractProcess&nbsp;process,
                                         @NonNull ConstraintsModel&nbsp;constModel)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>process</code> - </dd>
<dd><code>constModel</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getDeadline(org.eclipse.app4mc.amalthea.model.Runnable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeadline</h4>
<pre class="methodSignature">public static&nbsp;@Nullable Time&nbsp;getDeadline&#8203;(@NonNull Runnable&nbsp;runnable)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>runnable</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getDeadline(org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeadline</h4>
<pre class="methodSignature">public static&nbsp;@Nullable Time&nbsp;getDeadline&#8203;(@NonNull Runnable&nbsp;runnable,
                                         @NonNull ConstraintsModel&nbsp;constModel)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>runnable</code> - </dd>
<dd><code>constModel</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="addNewDeadlineRequirement(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.app4mc.amalthea.model.AbstractProcess,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewDeadlineRequirement</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;addNewDeadlineRequirement&#8203;(@NonNull ConstraintsModel&nbsp;container,
                                             @NonNull AbstractProcess&nbsp;process,
                                             @NonNull Time&nbsp;deadline)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>container</code> - </dd>
<dd><code>process</code> - </dd>
<dd><code>deadline</code> - </dd>
</dl>
</li>
</ul>
<a id="addNewDeadlineRequirement(org.eclipse.app4mc.amalthea.model.ConstraintsModel,org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addNewDeadlineRequirement</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;addNewDeadlineRequirement&#8203;(@NonNull ConstraintsModel&nbsp;container,
                                             @NonNull Runnable&nbsp;runnable,
                                             @NonNull Time&nbsp;deadline)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>container</code> - </dd>
<dd><code>runnable</code> - </dd>
<dd><code>deadline</code> - </dd>
</dl>
</li>
</ul>
<a id="updateDeadlineRequirement(org.eclipse.app4mc.amalthea.model.Task,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateDeadlineRequirement</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;updateDeadlineRequirement&#8203;(@NonNull Task&nbsp;task,
                                             @NonNull Time&nbsp;deadline)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>task</code> - </dd>
<dd><code>deadline</code> - </dd>
</dl>
</li>
</ul>
<a id="updateDeadlineRequirement(org.eclipse.app4mc.amalthea.model.Task,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateDeadlineRequirement</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;updateDeadlineRequirement&#8203;(@NonNull Task&nbsp;task,
                                             @NonNull Time&nbsp;deadline,
                                             @NonNull ConstraintsModel&nbsp;constModel)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>task</code> - </dd>
<dd><code>deadline</code> - </dd>
<dd><code>constModel</code> - </dd>
</dl>
</li>
</ul>
<a id="updateDeadlineRequirement(org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.Time)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateDeadlineRequirement</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;updateDeadlineRequirement&#8203;(@NonNull Runnable&nbsp;runnable,
                                             @NonNull Time&nbsp;deadline)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>runnable</code> - </dd>
<dd><code>deadline</code> - </dd>
</dl>
</li>
</ul>
<a id="updateDeadlineRequirement(org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.Time,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateDeadlineRequirement</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;updateDeadlineRequirement&#8203;(@NonNull Runnable&nbsp;runnable,
                                             @NonNull Time&nbsp;deadline,
                                             @NonNull ConstraintsModel&nbsp;constModel)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>runnable</code> - </dd>
<dd><code>deadline</code> - </dd>
<dd><code>constModel</code> - </dd>
</dl>
</li>
</ul>
<a id="getDeadlineRequirements(org.eclipse.app4mc.amalthea.model.Runnable,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeadlineRequirements</h4>
<pre class="methodSignature">public static&nbsp;List&lt;RunnableRequirement&gt;&nbsp;getDeadlineRequirements&#8203;(@NonNull Runnable&nbsp;runnable,
                                                                @NonNull ConstraintsModel&nbsp;constModel)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>runnable</code> - </dd>
<dd><code>constModel</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getDeadlineRequirements(org.eclipse.app4mc.amalthea.model.AbstractProcess,org.eclipse.app4mc.amalthea.model.ConstraintsModel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDeadlineRequirements</h4>
<pre class="methodSignature">public static&nbsp;List&lt;ProcessRequirement&gt;&nbsp;getDeadlineRequirements&#8203;(@NonNull AbstractProcess&nbsp;process,
                                                               @NonNull ConstraintsModel&nbsp;constModel)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>process</code> - </dd>
<dd><code>constModel</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getAllAbstractEventChains(org.eclipse.app4mc.amalthea.model.ConstraintsModel)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAllAbstractEventChains</h4>
<pre class="methodSignature">public static&nbsp;List&lt;AbstractEventChain&gt;&nbsp;getAllAbstractEventChains&#8203;(@NonNull ConstraintsModel&nbsp;constModel)</pre>
<div class="block">Retrieve all abstract event chains from the constraints model.
 This includes event chains and sub event chains (contained as items).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>constModel</code> - The constraints model from which we want to have all abstract event chains.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>All abstract event chains.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
